---@meta

---@class UWG_OptionEntryStepper_C : UWG_OptionEntryBase_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Rotator UWG_OptionRotator_C
---@field PrevButton UWG_MenuButton_C
---@field NextButton UWG_MenuButton_C
---@field StepperData UOptionListItemStepper_C
local UWG_OptionEntryStepper_C = {}

---@param NewValue boolean
function UWG_OptionEntryStepper_C:OnItemEnabledUpdated(NewValue) end
---@return UWidget
function UWG_OptionEntryStepper_C:GetPrimaryGamepadFocusWidget() end
---@param Button UCommonButtonBase
function UWG_OptionEntryStepper_C:BndEvt__WG_OptionEntryStepper_NextButton_K2Node_ComponentBoundEvent_1_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Value int32
function UWG_OptionEntryStepper_C:BndEvt__WG_OptionEntryStepper_Rotator_K2Node_ComponentBoundEvent_2_OnRotated__DelegateSignature(Value) end
function UWG_OptionEntryStepper_C:BP_OnEnabled() end
function UWG_OptionEntryStepper_C:BP_OnDisabled() end
---@param ListItemObject UObject
function UWG_OptionEntryStepper_C:OnListItemObjectSet(ListItemObject) end
---@param Button UCommonButtonBase
function UWG_OptionEntryStepper_C:BndEvt__WG_OptionEntryStepper_PrevButton_K2Node_ComponentBoundEvent_0_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param EntryPoint int32
function UWG_OptionEntryStepper_C:ExecuteUbergraph_WG_OptionEntryStepper(EntryPoint) end


